
QGIS Application - Bug report #296

second shape vector layer added is not displayed

2006-09-22 03:24 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10355

Description

1. add a first shape vector layer - it is displayed

2. add another one, more/less located within the same region - it's not displayed

Turning layers of/on doesn't help. Refreshing neither.

Maciek

History

#1 - 2006-09-22 04:59 PM - Gavin Macaulay -

Does the second datasource load and display fine if you do it first?

Try clicking on the 'zoom to full extents' button.

Can you attach the two shape files?

#2 - 2006-09-23 02:20 AM - Redmine Admin

Partly my bad. The reason of the mess is that the two shapefiles are in differnet projections.

But I didn't notice that at first QGIS didn't handle the situation:

1. add layer odra_glogow_brzeg.shp - it is rendered

2. add the rzeki_ds.shp, it is not - nothing changes on the display

3. so I zoom to rzeki_ds layer extent, as my first reaction, and the extend changes but I still don't see my second layer! I still see the odra_glogow_brzeg

one, zoomed-out, instead!

4. only when I 'zoom to full', I can see them both, separated with a big distance

5. but again, if I zoom to each particular layer's full extent, I always get only the odra_glogow_brzeg layer displayed, in two diffrent zoom levels

This is a real bug. I'm attaching the shapefiles.

A related wish: IMO, if on-the-fly projection is disabled, QGIS should inform the user that the second layer he is trying to open is in a different projection and
ask if he want's to enable the on-the-fly projection using one of the 2 projections (user chooses which one).

Maciek

#3 - 2006-10-14 06:26 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:e1718bbc (SVN r5961).

The wish is not included in fix but feel free to file it as an enhancement for future version.

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

odra_glogow_brzeg.tar.bz2 3.6 KB 2006-09-23 anonymous -

rzeki_ds.tar.bz2 28.7 KB 2006-09-23 anonymous -
